Subject: Re: bug#18155: 24.3.92; Honor toolBar resource *before* showing frame

From: Stefan Monnier <[email-masked]>
Date: Thu, 31 Jul 2014 11:52:22 -0400

> 2 is the way to go IMHO. 

An alternative to 2 is to create the GUI terminal later in
startup.el.  This way, all the .emacs code is read while the selected
terminal is the "dumb" initial terminal, e.g. messages are sent to
stderr and the GUI frame is created after the .emacs is read so it can
take user settings. into account.

I've been using a local patch that does it for several years, very
happily, but of course, it will break any ~/.emacs that tries to check
things like screen size.

        Stefan